environment_option_type

## Public Member Functions

| environment_option_type ()

## Public Attributes

int | thread_level

## Static Public Attributes

static const int | no_thread = 100
static const int | default_thread = MPI_THREAD_SINGLE

## Detailed Description

Definition at line 85 of file environment.h.

## Constructor & Destructor Documentation

## environment_option_type()

environment_option_type | ( |  | ) |

Definition at line 96 of file environment.h.

## Member Data Documentation

## no_thread

const int no_thread = 100

static

Definition at line 86 of file environment.h.

## default_thread

const int default_thread = MPI_THREAD_SINGLE

static

Definition at line 90 of file environment.h.

## thread_level

int thread_level

Definition at line 97 of file environment.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/environment.h